diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 23d2b1be424..aef2d9b14d3 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -7212,7 +7088,7 @@ local0.*    /var/log/postgresql
          Sets the amount of time after which the startup process will log
          a message about a long-running operation that is still in progress,
          as well as the interval between further progress messages for that
-         operation. The default is 10 seconds. A setting of <literal>0</literal>
+         operation. A setting of <literal>0</literal>
          disables the feature.  If this value is specified without units,
          it is taken as milliseconds.  This setting is applied separately to
          each operation.
@@ -7223,7 +7099,7 @@ local0.*    /var/log/postgresql
         <para>
          For example, if syncing the data directory takes 25 seconds and
          thereafter resetting unlogged relations takes 8 seconds, and if this
-         setting has the default value of 10 seconds, then a messages will be
+         value is set to 10 seconds, then a messages will be
          logged for syncing the data directory after it has been in progress
          for 10 seconds and again after it has been in progress for 20 seconds,
          but nothing will be logged for resetting unlogged relations.
@@ -7360,17 +7236,17 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-debug-print-parse">
-      <term><varname>debug_print_parse</varname> (<type>boolean</type>)
+      <term><varname>debug_print_parse</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>debug_print_parse</varname> configuration parameter</primary>
       </indexterm>
       </term>
-      <term><varname>debug_print_rewritten</varname> (<type>boolean</type>)
+      <term><varname>debug_print_rewritten</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>debug_print_rewritten</varname> configuration parameter</primary>
       </indexterm>
       </term>
-      <term><varname>debug_print_plan</varname> (<type>boolean</type>)
+      <term><varname>debug_print_plan</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>debug_print_plan</varname> configuration parameter</primary>
       </indexterm>
@@ -7385,13 +7261,12 @@ local0.*    /var/log/postgresql
         client.  You can change that by adjusting
         <xref linkend="guc-client-min-messages"/> and/or
         <xref linkend="guc-log-min-messages"/>.
-        These parameters are off by default.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-debug-pretty-print">
-      <term><varname>debug_pretty_print</varname> (<type>boolean</type>)
+      <term><varname>debug_pretty_print</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>debug_pretty_print</varname> configuration parameter</primary>
       </indexterm>
@@ -7403,13 +7278,13 @@ local0.*    /var/log/postgresql
         <varname>debug_print_rewritten</varname>, or
         <varname>debug_print_plan</varname>.  This results in more readable
         but much longer output than the <quote>compact</quote> format used when
-        it is off.  It is on by default.
+        it is off.  
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-log-autovacuum-min-duration" xreflabel="log_autovacuum_min_duration">
-      <term><varname>log_autovacuum_min_duration</varname> (<type>integer</type>)
+      <term><varname>log_autovacuum_min_duration</varname> (<type>integer</type>) - default is 10 minutes
       <indexterm>
        <primary><varname>log_autovacuum_min_duration</varname></primary>
        <secondary>configuration parameter</secondary>
@@ -7426,7 +7301,7 @@ local0.*    /var/log/postgresql
         250ms or longer will be logged.  In addition, when this parameter is
         set to any value other than <literal>-1</literal>, a message will be
         logged if an autovacuum action is skipped due to a conflicting lock or a
-        concurrently dropped relation. The default is <literal>10min</literal>.
+        concurrently dropped relation. 
         Enabling this parameter can be helpful in tracking autovacuum activity.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line; but the setting can be overridden for
@@ -7436,7 +7311,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-checkpoints" xreflabel="log_checkpoints">
-      <term><varname>log_checkpoints</varname> (<type>boolean</type>)
+      <term><varname>log_checkpoints</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>log_checkpoints</varname> configuration parameter</primary>
       </indexterm>
@@ -7447,13 +7322,13 @@ local0.*    /var/log/postgresql
         Some statistics are included in the log messages, including the number
         of buffers written and the time spent writing them.
         This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line. The default is on.
+        file or on the server command line. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-log-connections" xreflabel="log_connections">
-      <term><varname>log_connections</varname> (<type>string</type>)
+      <term><varname>log_connections</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_connections</varname> configuration parameter</primary>
       </indexterm>
@@ -7566,7 +7441,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-disconnections" xreflabel="log_disconnections">
-      <term><varname>log_disconnections</varname> (<type>boolean</type>)
+      <term><varname>log_disconnections</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_disconnections</varname> configuration parameter</primary>
       </indexterm>
@@ -7579,14 +7454,13 @@ local0.*    /var/log/postgresql
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this parameter at session start,
         and it cannot be changed at all within a session.
-        The default is <literal>off</literal>.
        </para>
       </listitem>
      </varlistentry>
 
 
      <varlistentry id="guc-log-duration" xreflabel="log_duration">
-      <term><varname>log_duration</varname> (<type>boolean</type>)
+      <term><varname>log_duration</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_duration</varname> configuration parameter</primary>
       </indexterm>
@@ -7594,7 +7468,6 @@ local0.*    /var/log/postgresql
       <listitem>
        <para>
         Causes the duration of every completed statement to be logged.
-        The default is <literal>off</literal>.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -7621,7 +7494,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-error-verbosity" xreflabel="log_error_verbosity">
-      <term><varname>log_error_verbosity</varname> (<type>enum</type>)
+      <term><varname>log_error_verbosity</varname> (<type>enum</type>) - default is DEFAULT
       <indexterm>
        <primary><varname>log_error_verbosity</varname> configuration parameter</primary>
       </indexterm>
@@ -7644,7 +7517,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-hostname" xreflabel="log_hostname">
-      <term><varname>log_hostname</varname> (<type>boolean</type>)
+      <term><varname>log_hostname</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_hostname</varname> configuration parameter</primary>
       </indexterm>
@@ -7662,7 +7535,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-line-prefix" xreflabel="log_line_prefix">
-      <term><varname>log_line_prefix</varname> (<type>string</type>)
+      <term><varname>log_line_prefix</varname> (<type>string</type>) - default is %m [%p] %q%u@%d 
       <indexterm>
        <primary><varname>log_line_prefix</varname> configuration parameter</primary>
       </indexterm>
@@ -7687,8 +7560,8 @@ local0.*    /var/log/postgresql
 
        <para>
          This parameter can only be set in the <filename>postgresql.conf</filename>
-         file or on the server command line. The default is
-         <literal>'%m [%p] '</literal> which logs a time stamp and the process ID.
+         file or on the server command line. If this value is set to its default then
+         log will have a time stamp and the process ID.
        </para>
 
          <informaltable>
@@ -7890,7 +7763,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-lock-waits" xreflabel="log_lock_waits">
-      <term><varname>log_lock_waits</varname> (<type>boolean</type>)
+      <term><varname>log_lock_waits</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_lock_waits</varname> configuration parameter</primary>
       </indexterm>
@@ -7900,7 +7773,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
         Controls whether a log message is produced when a session waits
         longer than <xref linkend="guc-deadlock-timeout"/> to acquire a
         lock.  This is useful in determining if lock waits are causing
-        poor performance.  The default is <literal>off</literal>.
+        poor performance.  
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -7928,7 +7801,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
 
 
      <varlistentry id="guc-log-recovery-conflict-waits" xreflabel="log_recovery_conflict_waits">
-      <term><varname>log_recovery_conflict_waits</varname> (<type>boolean</type>)
+      <term><varname>log_recovery_conflict_waits</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_recovery_conflict_waits</varname> configuration parameter</primary>
       </indexterm>
@@ -7942,7 +7815,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
        </para>
 
        <para>
-        The default is <literal>off</literal>.  This parameter can only be set
+        This parameter can only be set
         in the <filename>postgresql.conf</filename> file or on the server
         command line.
        </para>
@@ -7950,7 +7823,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-parameter-max-length" xreflabel="log_parameter_max_length">
-      <term><varname>log_parameter_max_length</varname> (<type>integer</type>)
+      <term><varname>log_parameter_max_length</varname> (<type>integer</type>)  - default is -1
       <indexterm>
        <primary><varname>log_parameter_max_length</varname> configuration parameter</primary>
       </indexterm>
@@ -7960,7 +7833,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
         If greater than zero, each bind parameter value logged with a
         non-error statement-logging message is trimmed to this many bytes.
         Zero disables logging of bind parameters for non-error statement logs.
-        <literal>-1</literal> (the default) allows bind parameters to be
+        Value of <literal>-1</literal> allows bind parameters to be
         logged in full.
         If this value is specified without units, it is taken as bytes.
         Only superusers and users with the appropriate <literal>SET</literal>
@@ -7978,7 +7851,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-parameter-max-length-on-error" xreflabel="log_parameter_max_length_on_error">
-      <term><varname>log_parameter_max_length_on_error</varname> (<type>integer</type>)
+      <term><varname>log_parameter_max_length_on_error</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>log_parameter_max_length_on_error</varname> configuration parameter</primary>
       </indexterm>
@@ -7987,8 +7860,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
        <para>
         If greater than zero, each bind parameter value reported in error
         messages is trimmed to this many bytes.
-        Zero (the default) disables including bind parameters in error
-        messages.
+        Value of 0 disables including bind parameters in error messages.
         <literal>-1</literal> allows bind parameters to be printed in full.
         If this value is specified without units, it is taken as bytes.
        </para>
@@ -8006,7 +7878,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-statement" xreflabel="log_statement">
-      <term><varname>log_statement</varname> (<type>enum</type>)
+      <term><varname>log_statement</varname> (<type>enum</type>) - default is none
       <indexterm>
        <primary><varname>log_statement</varname> configuration parameter</primary>
       </indexterm>
@@ -8031,7 +7903,6 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
        </para>
 
        <para>
-        The default is <literal>none</literal>.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -8056,7 +7927,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-replication-commands" xreflabel="log_replication_commands">
-      <term><varname>log_replication_commands</varname> (<type>boolean</type>)
+      <term><varname>log_replication_commands</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_replication_commands</varname> configuration parameter</primary>
       </indexterm>
@@ -8066,15 +7937,14 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
         Causes each replication command and <literal>walsender</literal>
         process's replication slot acquisition/release to be logged in the
         server log. See <xref linkend="protocol-replication"/> for more
-        information about replication command. The default value is
-        <literal>off</literal>. Only superusers and users with the appropriate
+        information about replication command. Only superusers and users with the appropriate
         <literal>SET</literal> privilege can change this setting.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-log-temp-files" xreflabel="log_temp_files">
-      <term><varname>log_temp_files</varname> (<type>integer</type>)
+      <term><varname>log_temp_files</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>log_temp_files</varname> configuration parameter</primary>
       </indexterm>
@@ -8090,7 +7960,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
         values log only files whose size is greater than or equal to
         the specified amount of data.
         If this value is specified without units, it is taken as kilobytes.
-        The default setting is -1, which disables such logging.
+        Setting this value to -1 disables such logging.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -8098,7 +7968,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-timezone" xreflabel="log_timezone">
-      <term><varname>log_timezone</varname> (<type>string</type>)
+      <term><varname>log_timezone</varname> (<type>string</type>) - default is GMT
       <indexterm>
        <primary><varname>log_timezone</varname> configuration parameter</primary>
       </indexterm>
@@ -8119,7 +7989,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-md5-password-warnings" xreflabel="md5_password_warnings">
-      <term><varname>md5_password_warnings</varname> (<type>boolean</type>)
+      <term><varname>md5_password_warnings</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>md5_password_warnings</varname> configuration parameter</primary>
       </indexterm>
@@ -8129,7 +7999,6 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
         Controls whether a <literal>WARNING</literal> about MD5 password
         deprecation is produced when a <command>CREATE ROLE</command> or
         <command>ALTER ROLE</command> statement sets an MD5-encrypted password.
-        The default value is <literal>on</literal>.
        </para>
       </listitem>
      </varlistentry>
@@ -8460,7 +8329,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
 
     <variablelist>
      <varlistentry id="guc-cluster-name" xreflabel="cluster_name">
-      <term><varname>cluster_name</varname> (<type>string</type>)
+      <term><varname>cluster_name</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>cluster_name</varname> configuration parameter</primary>
       </indexterm>
@@ -8481,15 +8350,14 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <varname>cluster_name</varname> value.
         Other characters are replaced with <link
         linkend="sql-syntax-strings-escape">C-style hexadecimal escapes</link>.
-        No name is shown if this parameter is set to the empty string
-        <literal>''</literal> (which is the default).
+        No name is shown if this parameter is set to an empty string.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-update-process-title" xreflabel="update_process_title">
-      <term><varname>update_process_title</varname> (<type>boolean</type>)
+      <term><varname>update_process_title</varname> (<type>boolean</type>) - default is on on Windows, otherwise off
       <indexterm>
        <primary><varname>update_process_title</varname> configuration parameter</primary>
       </indexterm>
@@ -8498,7 +8366,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <para>
         Enables updating of the process title every time a new SQL command
         is received by the server.
-        This setting defaults to <literal>on</literal> on most platforms, but it
+        Usual value is <literal>on</literal> on most platforms, but it
         defaults to <literal>off</literal> on Windows due to that platform's larger
         overhead for updating the process title.
         Only superusers and users with the appropriate <literal>SET</literal>
@@ -8527,7 +8395,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      <variablelist>
 
      <varlistentry id="guc-track-activities" xreflabel="track_activities">
-      <term><varname>track_activities</varname> (<type>boolean</type>)
+      <term><varname>track_activities</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>track_activities</varname> configuration parameter</primary>
       </indexterm>
@@ -8536,8 +8404,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <para>
         Enables the collection of information on the currently
         executing command of each session, along with its identifier and the
-        time when that command began execution. This parameter is on by
-        default. Note that even when enabled, this information is only
+        time when that command began execution. Note that even when enabled, this information is only
         visible to superusers, roles with privileges of the
         <literal>pg_read_all_stats</literal> role and the user owning the
         sessions being reported on (including sessions belonging to a role they
@@ -8549,7 +8416,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-track-activity-query-size" xreflabel="track_activity_query_size">
-      <term><varname>track_activity_query_size</varname> (<type>integer</type>)
+      <term><varname>track_activity_query_size</varname> (<type>integer</type>) - default is 1024 bytes
       <indexterm>
        <primary><varname>track_activity_query_size</varname> configuration parameter</primary>
       </indexterm>
@@ -8560,14 +8427,13 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        currently executing command for each active session, for the
        <structname>pg_stat_activity</structname>.<structfield>query</structfield> field.
        If this value is specified without units, it is taken as bytes.
-       The default value is 1024 bytes.
        This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-track-counts" xreflabel="track_counts">
-      <term><varname>track_counts</varname> (<type>boolean</type>)
+      <term><varname>track_counts</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>track_counts</varname> configuration parameter</primary>
       </indexterm>
@@ -8575,7 +8441,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       <listitem>
        <para>
         Enables collection of statistics on database activity.
-        This parameter is on by default, because the autovacuum
+        This parameter is usually on because the autovacuum
         daemon needs the collected information.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
@@ -8584,7 +8450,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-track-cost-delay-timing" xreflabel="track_cost_delay_timing">
-      <term><varname>track_cost_delay_timing</varname> (<type>boolean</type>)
+      <term><varname>track_cost_delay_timing</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>track_cost_delay_timing</varname> configuration parameter</primary>
       </indexterm>
@@ -8592,8 +8458,8 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       <listitem>
        <para>
         Enables timing of cost-based vacuum delay (see
-        <xref linkend="runtime-config-resource-vacuum-cost"/>).  This parameter
-        is off by default, as it will repeatedly query the operating system for
+        <xref linkend="runtime-config-resource-vacuum-cost"/>). If it's set to off,
+		as it will repeatedly query the operating system for
         the current time, which may cause significant overhead on some
         platforms.  You can use the <xref linkend="pgtesttiming"/> tool to
         measure the overhead of timing on your system.  Cost-based vacuum delay
@@ -8611,15 +8477,15 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-track-io-timing" xreflabel="track_io_timing">
-      <term><varname>track_io_timing</varname> (<type>boolean</type>)
+      <term><varname>track_io_timing</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>track_io_timing</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables timing of database I/O waits.  This parameter is off by
-        default, as it will repeatedly query the operating system for
+        Enables timing of database I/O waits. If it's set to off,
+        as it will repeatedly query the operating system for
         the current time, which may cause significant overhead on some
         platforms.  You can use the <xref linkend="pgtesttiming"/> tool to
         measure the overhead of timing on your system.
@@ -8645,15 +8511,15 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-track-wal-io-timing" xreflabel="track_wal_io_timing">
-      <term><varname>track_wal_io_timing</varname> (<type>boolean</type>)
+      <term><varname>track_wal_io_timing</varname> (<type>boolean</type>) - default is none
       <indexterm>
        <primary><varname>track_wal_io_timing</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables timing of WAL I/O waits. This parameter is off by default,
-        as it will repeatedly query the operating system for the current time,
+        Enables timing of WAL I/O waits. If default is used, 
+        it will repeatedly query the operating system for the current time,
         which may cause significant overhead on some platforms.
         You can use the <application>pg_test_timing</application> tool to
         measure the overhead of timing on your system.
@@ -8671,7 +8537,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-track-functions" xreflabel="track_functions">
-      <term><varname>track_functions</varname> (<type>enum</type>)
+      <term><varname>track_functions</varname> (<type>enum</type>) - default is none
       <indexterm>
        <primary><varname>track_functions</varname> configuration parameter</primary>
       </indexterm>
@@ -8681,7 +8547,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         Enables tracking of function call counts and time used. Specify
         <literal>pl</literal> to track only procedural-language functions,
         <literal>all</literal> to also track SQL and C language functions.
-        The default is <literal>none</literal>, which disables function
+        If <literal>none</literal> is used, which disables function
         statistics tracking.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
@@ -8698,7 +8564,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-stats-fetch-consistency" xreflabel="stats_fetch_consistency">
-      <term><varname>stats_fetch_consistency</varname> (<type>enum</type>)
+      <term><varname>stats_fetch_consistency</varname> (<type>enum</type>) - default is cache
       <indexterm>
        <primary><varname>stats_fetch_consistency</varname> configuration parameter</primary>
       </indexterm>
@@ -8716,7 +8582,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         the end of the transaction unless
         <function>pg_stat_clear_snapshot()</function> is called. Changing this
         parameter in a transaction discards the statistics snapshot.
-        The default is <literal>cache</literal>.
        </para>
        <note>
         <para>
@@ -8740,7 +8605,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      <variablelist>
 
      <varlistentry id="guc-compute-query-id" xreflabel="compute_query_id">
-      <term><varname>compute_query_id</varname> (<type>enum</type>)
+      <term><varname>compute_query_id</varname> (<type>enum</type>) - default is auto
       <indexterm>
        <primary><varname>compute_query_id</varname> configuration parameter</primary>
       </indexterm>
@@ -8764,7 +8629,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         has the same effect as <literal>auto</literal>, except that the
         query identifier is not shown in the <literal>EXPLAIN</literal> output
         in order to facilitate automated regression testing.
-        The default is <literal>auto</literal>.
        </para>
        <note>
         <para>
@@ -8776,23 +8640,53 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </listitem>
      </varlistentry>
 
+     <varlistentry id="guc-query-id-squash-values" xreflabel="query_id_squash_values">
+      <term><varname>query_id_squash_values</varname> (<type>bool</type>)
+      <indexterm>
+       <primary><varname>query_id_squash_values</varname> configuration parameter</primary>
+      </indexterm>
+      </term>
+      <listitem>
+       <para>
+        Specifies how a list of constants (e.g., for an <literal>IN</literal>
+        clause) contributes to the query identifier computation.
+        Normally, every element of such a list contributes to the query
+        identifier separately, which means that two queries that only differ
+        in the number of elements in such a list would get different query
+        identifiers.
+        If this parameter is on, a list of constants will not contribute
+        to the query identifier. This means that two queries whose only
+        difference is the number of constants in such a list are going to get the
+        same query identifier.
+       </para>
+       <para>
+        Only constants are affected; bind parameters do not benefit from this
+        functionality. The default value is <literal>off</literal>.
+       </para>
+       <para>
+        This parameter also affects how <xref linkend="pgstatstatements"/>
+        generates normalized query texts.
+       </para>
+      </listitem>
+     </varlistentry>
+
      <varlistentry id="guc-log-statement-stats">
-      <term><varname>log_statement_stats</varname> (<type>boolean</type>)
+      <term><varname>log_statement_stats</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_statement_stats</varname> configuration parameter</primary>
       </indexterm>
       </term>
-      <term><varname>log_parser_stats</varname> (<type>boolean</type>)
+      <term><varname>log_parser_stats</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_parser_stats</varname> configuration parameter</primary>
       </indexterm>
       </term>
-      <term><varname>log_planner_stats</varname> (<type>boolean</type>)
+      <term><varname>log_planner_stats</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_planner_stats</varname> configuration parameter</primary>
       </indexterm>
       </term>
-      <term><varname>log_executor_stats</varname> (<type>boolean</type>)
+      <term><varname>log_executor_stats</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_executor_stats</varname> configuration parameter</primary>
       </indexterm>
@@ -8805,8 +8699,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         system facility.  <varname>log_statement_stats</varname> reports total
         statement statistics, while the others report per-module statistics.
         <varname>log_statement_stats</varname> cannot be enabled together with
-        any of the per-module options.  All of these options are disabled by
-        default.
+        any of the per-module options. 
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change these settings.
        </para>
@@ -8844,7 +8737,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      <variablelist>
 
       <varlistentry id="guc-autovacuum" xreflabel="autovacuum">
-       <term><varname>autovacuum</varname> (<type>boolean</type>)
+       <term><varname>autovacuum</varname> (<type>boolean</type>) - default is on
        <indexterm>
         <primary><varname>autovacuum</varname> configuration parameter</primary>
        </indexterm>
